local JjcLogic = require("jjc.JjcLogic")
local JjcActLogic = require("jjc.JjcActLogic")

function CG_JJC_ACT_LIST(human)
	JjcActLogic.sendActList(human)
end

function CG_JJC_MIDDLE_ACT_LIST(human)
	JjcActLogic.sendMiddleActList(human)
end

function CG_JJC_QUERY(human)
	JjcLogic.query(human)
end

function CG_JJC_RECORD_QUERY(human)
	JjcLogic.recordQuery(human)
end

function CG_JJC_REWARD_QUERY(human, msg)
	JjcLogic.rewardQuery(human, msg.type)
end

function CG_JJC_TARGET_FIND(human,msg)
	JjcLogic.targetFind(human,msg.type)
end

function CG_JJC_CHAMPION_BOX_GET(human,msg)
	JjcLogic.getChampionBoxReward(human,msg.index)
end

function CG_JJC_CHAMPION_WORSHIP(human,msg)
	JjcLogic.championWorship(human,msg.uuid)
end

function CG_JJC_CHAMPION_BILLBOARD_QUERY(human)
	JjcLogic.championBillboardQuery(human)
end


function CG_JJC_WORSHIP_ONETOUCH(human)
	JjcLogic.WorshipByOneTouch(human)
end